<?php

namespace Teknisa\SM\Service;
use Teknisa\SM\Factory\SmRelatorioContratoDataSourceFactory;

class SmRelatorioContratoDataSourceService {
    protected $relatorioFactory;
    
    public function __construct(SmRelatorioContratoDataSourceFactory $relatorioFactory) {
        $this->relatorioFactory = $relatorioFactory;
    }
    /**
     * Busca os dados para a tela sem ou com filtro
     */
    public function find($filtros, $page = 1, $cdoperador, $nrorg) {
        $params = array(
            "CDOPERADORLOGADO" => $cdoperador,
            "NRORG"            => $nrorg
        );
        return $this->relatorioFactory->find($params, $page, $filtros);
    }
    /**
     * Busca os dados para a tela sem ou com filtro
     */
    public function findItens($filtros, $cdoperador, $nrorg) {
        $params = array(
            "CDOPERADORLOGADO" => $cdoperador,
            "NRORG"            => $nrorg
        );
        return $this->relatorioFactory->findItens($params, $filtros);
    }
}
?>

